
clear;

A=load('spectrum.dat');
B=load('timeseries_noise_and_chirp.dat');
C=load('result_MF_chirp_tc.dat');


x=A(:,1);
y1=A(:,4);
y2=A(:,5);

figure(1);
loglog(x,y1,'b-');
hold on;
loglog(x,y2,'r-');
hold off;
xlabel('Frequency [Hz]','FontSize',20);
title('Power spectrum','FontSize',20);


figure(2);
x=B(:,1);
y=B(:,2);
z=B(:,3);
data=B(:,2);
signal=B(:,3);
plot(x,y,'b-');
hold on;
plot(x,z,'r-');
xlabel('Time [sec]','FontSize',20);
title('Noise + Signal (S/N=10)','FontSize',20);

% mdata=max(abs(data));
% data2=data/mdata;
% audiowrite('chirp.wav', data2, 5000, 'BitsPerSample', 32);

figure(3);
x=B(:,1);
y=B(:,2);
z=B(:,3);
plot(x,z,'r-');
xlabel('Time [sec]','FontSize',20);
title('Signal (S/N=10)','FontSize',20);


figure(4);
x=C(:,1);
y=C(:,2);
plot(x,y,'b-');
xlabel('coalescence time [sec]','FontSize',20);
title('Matched filtering output','FontSize',20);

%D=load('spectrum_chirp.dat');
%figure(5);
%x=D(:,1);
%y1=D(:,2);
%y2=D(:,3);
%plot(x,y1,'b-');
%xlabel('Frequency [Hz]','FontSize',20);
%title('Signal in freq. domain','FontSize',20);



